# Treatment Plan Details

| **API URL**     | {{url}}/spice-service/patient-treatment-plan/details |
| --------------- | ---------------------------------------------------- |
| **Method**      | POST                                                 |
| **Description** | Treatment plan details                               |

#### **Input:** <a href="#treatmentplandetails-input" id="treatmentplandetails-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

**Sample Input:**

{     "tenantId": 4,     "patientTrackId": 25 }

#### **Output:** <a href="#treatmentplandetails-output" id="treatmentplandetails-output"></a>

| **Field Name**           | **Type** | **Comments**                                     |
| ------------------------ | -------- | ------------------------------------------------ |
| `id`                     | Integer  | User ID                                          |
| `medicalReviewFrequency` | String   | Medical review frequency given in Treatment plan |
| `bpCheckFrequency`       | String   | Blood pressure frequency given in Treatment plan |
| `bgCheckFrequency`       | String   | Blood glucose frequency given in Treatment plan  |
| `hba1cCheckFrequency`    | String   | Hba1c frequency given in Treatment plan          |
| `isProvisional`          | Boolean  | Provisional Treatment plan                       |
| `riskLevel`              | String   | Patient risk level                               |

#### **Sample Output:** <a href="#treatmentplandetails-sampleoutput" id="treatmentplandetails-sampleoutput"></a>

```
  {
    "message": "Treatment plan fetched successfully.",
    "entity": {
        "createdBy": 5,
        "id": 23,
        "updatedBy": 5,
        "createdAt": "2023-05-26T11:05:47+00:00",
        "updatedAt": "2023-05-26T11:05:47+00:00",
        "tenantId": 4,
        "medicalReviewFrequency": "Every 1 month",
        "bpCheckFrequency": "Every 3 months",
        "bgCheckFrequency": "Physician Approval Pending",
        "hba1cCheckFrequency": "Every 3 months",
        "isProvisional": true,
        "riskLevel": "Low risk",
        "patientVisitId": null,
        "patientTrackId": 25,
        "latest": false,
        "active": true,
        "deleted": false
    },
    "status": true,
    "entityList": null,
    "responseCode": 200,
    "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/versions/spice-1.0/engineering/api-documentation/spice-services/treatment-plan-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
